#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>

void kernel_cpu(float *B0,float *B1,float *B2,int N){
for(int i=0;i<N;i++){
B0[i] = B2[i]/B1[i]-B1[i]/B1[i];
}
}

int main(int argc,char **argv) {
int size=495807;
int intBytes = size*sizeof(int);
int floatBytes = size*sizeof(float);
float *B0;
B0 = (float *)malloc(floatBytes);
float *B1;
B1 = (float *)malloc(floatBytes);
float *B2;
B2 = (float *)malloc(floatBytes);
for(int i=0;i<495807;i++){
B0[i] = 33.0941985381+i+1;
B1[i] = 91.9681385572*i+1;
B2[i] = 5.08314595597*i+1;
}
struct timeval time0,time1;
gettimeofday(&time0,NULL);
FILE *file_for_block_of_interest = fopen("./profile_in_block.txt","w");
if(file_for_block_of_interest) {
char Buf[2] = "1";
fwrite(Buf, 1, 1, file_for_block_of_interest);
fclose(file_for_block_of_interest);}
kernel_cpu(B0,B1,B2,495807);
file_for_block_of_interest = fopen("./profile_in_block.txt","w");
if(file_for_block_of_interest) {
char Buf[2] = "0";
fwrite(Buf, 1, 1, file_for_block_of_interest);
fclose(file_for_block_of_interest);}
gettimeofday(&time1,NULL);
double totaltime10 = (time1.tv_sec*1000000.0 + time1.tv_usec) - (time0.tv_sec*1000000.0 + time0.tv_usec);
fprintf(stderr, "CPU time: %lf msecs ",  (totaltime10)/1000.0F); 
free(B0);
free(B1);
free(B2);
printf("\n");return 0; }